package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Deleted_child;
import com.realnet.basicp1.Services.Deleted_childService ;


















@RequestMapping(value = "/Deleted_child")
 @CrossOrigin("*") 
@RestController
public class Deleted_childController {
	@Autowired
	private Deleted_childService Service;

@Value("${projectPath}")
	private String projectPath;
 


















	@PostMapping("/Deleted_child")
		  public Deleted_child Savedata(@RequestBody Deleted_child data) {
		Deleted_child save = Service.Savedata(data)	;

















		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Deleted_child/{id}")
	public  Deleted_child update(@RequestBody Deleted_child data,@PathVariable Integer id ) {
		Deleted_child update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Deleted_child/getall/page")
	public Page<Deleted_child> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Deleted_child> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Deleted_child")
	public List<Deleted_child> getdetails() {
		 List<Deleted_child> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Deleted_child")
	public List<Deleted_child> getallwioutsec() {
		 List<Deleted_child> get = Service.getdetails();		
		return get;
}
@GetMapping("/Deleted_child/{id}")
	public  Deleted_child  getdetailsbyId(@PathVariable Integer id ) {
		Deleted_child  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Deleted_child/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}



















}